﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Blanki_ekzamena.Dobavlenie
{
    public partial class Gorod_plus : Form
    {
        public Gorod_plus()
        {
            InitializeComponent();
        }

        private void btn_reg_Click(object sender, EventArgs e)
        {
            using (Vnytri.Gorod fd = new Vnytri.Gorod())
            {

                this.Hide();
                fd.ShowDialog();
                this.Close();
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (isFormVaid(textBox1.Text))
            {
                if (Proverka())
                {
                    insertValues();
                }
            }
        }
        private bool Proverka()
        {
            const string sql = "SELECT * From [Gorod] WHERE [gorod] = @gorod ";
            DataTable table = new DataTable();
            SqlCommand cmd = new SqlCommand(sql, DataBase.connect());
            SqlDataAdapter adapter = new SqlDataAdapter();
            cmd.Parameters.Add(new SqlParameter("@gorod", SqlDbType.NVarChar, 50));
            cmd.Parameters["@gorod"].Value = textBox1.Text;
            adapter.SelectCommand = cmd;
            adapter.Fill(table);
            if (table.Rows.Count == 1)
            {
                MessageBox.Show("Данный город уже существует ", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Information);
                return false;
            }
            else
            {
               
                return true;
            }
        }

        public bool isFormVaid(string a)
        {
            if (a.ToString().Trim() == String.Empty)
            {
                MessageBox.Show("Обезательные поля пустые", "Пожалуйста, заполните обязательные поля", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return false;
            }
            else
            {
                return true;
            }
        }

        private void insertValues()
        {
            DialogResult dialogResult = MessageBox.Show("Вы уверены, что хотите сохранить?", "подтверждение", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (dialogResult == DialogResult.Yes)
            {
                DataBase.openConnection();
                string Prov = "insert into [Gorod] (gorod) values('" + textBox1.Text + "')";
                SqlDataAdapter adapter2 = new SqlDataAdapter(Prov, DataBase.connect());
                DataTable table2 = new DataTable();
                adapter2.Fill(table2);

                MessageBox.Show("Данные добавлены успешно", "Успешно", MessageBoxButtons.OK, MessageBoxIcon.Information);

                using (Vnytri.Gorod fd = new Vnytri.Gorod())
                {

                    this.Hide();
                    fd.ShowDialog();
                    this.Close();
                }
            }

        }
    }
}
