﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Blanki_ekzamena.Vnytri
{
    public partial class Perd : Form
    {
        public Perd()
        {
            InitializeComponent();
            const string sql = "SELECT * From Predmet_view";
            using (SqlCommand sqlCommand = new SqlCommand(sql, DataBase.connect()))
            {
                try
                {
                    using (SqlDataReader dataReader = sqlCommand.ExecuteReader())
                    {
                        DataTable dataTable = new DataTable();
                        dataTable.Load(dataReader);
                        this.dataGridView1.DataSource = dataTable;
                        dataReader.Close();
                    }
                }
                catch
                {
                    MessageBox.Show("Ошибка подключения");
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            using (Dobavlenie.Predmet_plus fd = new Dobavlenie.Predmet_plus())
            {

                this.Hide();
                fd.ShowDialog();
                this.Close();
            }
        }
    }
}
