﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Blanki_ekzamena.Vnytri
{
    public partial class Raion : Form
    {
        public Raion()
        {
            InitializeComponent();
            const string sql = "select* from raion_view ORDER BY Город";
            using (SqlCommand sqlCommand = new SqlCommand(sql, DataBase.connect()))
            {
                try
                {
                    using (SqlDataReader dataReader = sqlCommand.ExecuteReader())
                    {
                        DataTable dataTable = new DataTable();
                        dataTable.Load(dataReader);
                        this.dataGridView1.DataSource = dataTable;
                        dataReader.Close();
                    }
                }
                catch
                {
                    MessageBox.Show("Ошибка подключения");
                }
            }
          
        }

        private void button1_Click(object sender, EventArgs e)
        {
            using (Dobavlenie.Raion_plus fd = new Dobavlenie.Raion_plus())
            {

                this.Hide();
                fd.ShowDialog();
                this.Close();
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Dispose();
        }

        private void Raion_Load(object sender, EventArgs e)
        {

        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {

        }
    }
}
